﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using Infragistics.Windows.DataPresenter;

namespace SampleVariableDataSource
{
	/// <summary>
	/// Interaction logic for UserControl1.xaml
	/// </summary>
	public partial class ClientGrid : XamDataGrid
	{
		public ClientGrid()
		{
			InitializeComponent();

			this.AssigningFieldLayoutToItem += new EventHandler<Infragistics.Windows.DataPresenter.Events.AssigningFieldLayoutToItemEventArgs>(ClientGrid_AssigningFieldLayoutToItem);
		}

		void ClientGrid_AssigningFieldLayoutToItem(object sender, Infragistics.Windows.DataPresenter.Events.AssigningFieldLayoutToItemEventArgs e)
		{
			if (e.Item is Client)
			{
				e.FieldLayout = this.FieldLayouts[0];
			}
			else
			{
				e.FieldLayout = this.FieldLayouts[1];			
			}
		}
	}
}
